Subject: [PATCH v2 0/3] Pin git for git-sizer.

From: Greg Hogan <[email-masked]>
Date: Thu, 5 Dec 2024 21:04:30 +0000

The git package can be updated more readily if we reduce the number of
dependent packages. As in this patchset, we can depend on the pinned
version of git if we hard-code the location of the git executable and
do not propagate the dependency, which could cause profile conflicts.

The first patch fixes the issue where git was neither hard-coded nor
propagated and only worked because git is typically available in a user
profile. This can be tested with "guix shell --container git-sizer".

Greg Hogan (3):
  gnu: git-sizer: Propagate git.
  gnu: git-sizer: Use gexps.
  gnu: git-sizer: Pin git version.

 gnu/packages/version-control.scm | 44 +++++++++++++++++---------------
 1 file changed, 24 insertions(+), 20 deletions(-)

base-commit: 006679d1e6ca7acea0629b4f019c8cf89cde08be
-- 
2.47.1